/*
 * Copyright Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags and
 * the COPYRIGHT.txt file distributed with this work.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.teiid.geo;

import org.locationtech.jts.geom.Geometry;
import org.teiid.CommandContext;
import org.teiid.api.exception.query.FunctionExecutionException;
import org.teiid.core.types.ClobType;
import org.teiid.core.types.GeometryType;
import org.teiid.query.function.GeometryHelper;

public class GeometryHelperImpl extends GeometryHelper {
    
    @Override
    public Geometry transform(CommandContext ctx, Geometry jtsGeomSrc, int srid) throws FunctionExecutionException {
        return GeometryTransformUtils.transform(ctx, jtsGeomSrc, srid);
    }
    
    @Override
    public boolean isLatLong(CommandContext ctx, int srid) 
            throws FunctionExecutionException {
        return GeometryTransformUtils.isLatLong(ctx, srid);
    }
    
    @Override
    public ClobType geometryToGeoJson(GeometryType object) throws FunctionExecutionException {
        return GeometryJsonUtils.geometryToGeoJson(object);
    }

}
